Subject: [MMUSIC] Re:draft-johnston-mmusic-offer-answer-examples-00.txt

From: Alan Johnston <[email-masked]>
Date: Wed, 06 Nov 2002 16:10:09 -0600

Paul,

Thanks for your comments on the draft.

You are correct - I believe if we switch the order of  your labeled below 
Line #3 and Line #4 then the SDP will be correct according to the 
description.  The same mistake is present in 2.8 as well as you guessed.

Thanks,
Alan Johnston
WorldCom
sip:[email-masked]

At 04:46 PM 11/6/2002 -0500, Paul Kyzivat wrote:
>I believe there is an error in section 4.1.
>
>It says:
>
>    The second stream is added by Bob's media server (different
>    connection address) to receive RFC 2833 telephone-events
>
>and shows the following SDP:
>
>       v=0
>       o=bob 2808844564 2808844565 IN IP4 host.there.com
>       s=
>#1    c=IN IP4 host.there.com
>       t=0 0
>#2    m=audio 49170 RTP/AVP 97
>       a=rtpmap:97 iLBC
>#3    c=IN IP4 mediaserver.there.com
>#4    m=audio 48282 RTP/AVP 98
>       a=rtpmap:98 telephone-events
>       a=recvonly
>
>But this SDP, while syntactically correct, isn't consistent with the 
>description.
>
>The address in line #1 applies to any media section that doesn't have a c= 
>of its own, namely #4, while the address in line #3 applies to the media 
>section it is within, namely the one at line #2. So the telephone-events 
>will go to host.there.com and the iLBC will go to mediaserver.there.com. 
>This is backward from the description.
>
>
>I believe section 2.8 may suffer from the same problem. But the 
>description isn't so specific about which address is which, so I don't 
>think it is technically incorrect.
>
>         Paul

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 06 Nov 2002 16:46:00 -0500

It says:

      v=0

But this SDP, while syntactically correct, isn't consistent with the description. 

The address in line #1 applies to any media section that doesn't have a c= of its own, namely #4, while the address in line #3 applies to the media section it is within, namely the one at line #2. So the telephone-events will go to host.there.com and the iLBC will go to mediaserver.there.com. This is backward from the description.

I believe section 2.8 may suffer from the same problem. But the description isn't so specific about which address is which, so I don't think it is technically incorrect.

	Paul